# Annotation Type DataSourceDefinitions

@Target(TYPE) @Retention(RUNTIME) public @interface DataSourceDefinitions
Container annotation that holds multiple `DataSourceDefinition` annotations. This annotation is used to group several data source definitions when applied to the same type, following the standard Java annotation repetition pattern.

Since:
  Common Annotations 1.1

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `DataSourceDefinition[]`
  `value`
  Specifies the array of data source definitions contained within this container annotation.

- ## Element Details

  - ### value

    DataSourceDefinition[] value
    Specifies the array of data source definitions contained within this container annotation.
    Returns:
      the array of `DataSourceDefinition` annotations